<?php
 
 
 

namespace PhpWA\Protocol\Proto\Message\ListMessage;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class ProductListInfo extends \Google\Protobuf\Internal\Message
{
    


    private $productSections;
    


    protected $headerImage = null;
    


    protected $businessOwnerJid = null;

    










    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getProductSections()
    {
        return $this->productSections;
    }

    




    public function setProductSections($var)
    {
        $arr = GPBUtil::checkRepeatedField($var, \Google\Protobuf\Internal\GPBType::MESSAGE, \PhpWA\Protocol\Proto\Message\ListMessage\ProductSection::class);
        $this->productSections = $arr;

        return $this;
    }

    



    public function getHeaderImage()
    {
        return $this->headerImage;
    }

    public function hasHeaderImage()
    {
        return isset($this->headerImage);
    }

    public function clearHeaderImage()
    {
        unset($this->headerImage);
    }

    




    public function setHeaderImage($var)
    {
        GPBUtil::checkMessage($var, \PhpWA\Protocol\Proto\Message\ListMessage\ProductListHeaderImage::class);
        $this->headerImage = $var;

        return $this;
    }

    



    public function getBusinessOwnerJid()
    {
        return isset($this->businessOwnerJid) ? $this->businessOwnerJid : '';
    }

    public function hasBusinessOwnerJid()
    {
        return isset($this->businessOwnerJid);
    }

    public function clearBusinessOwnerJid()
    {
        unset($this->businessOwnerJid);
    }

    




    public function setBusinessOwnerJid($var)
    {
        GPBUtil::checkString($var, True);
        $this->businessOwnerJid = $var;

        return $this;
    }

}

